Package Details: joxi 3.0.15-2

Git Clone URL: https://aur.archlinux.org/joxi.git (read-only, click to copy)
Package Base: joxi
Description: Free tool for screen capture
Upstream URL: http://joxi.net
Keywords: screenshot software
Licenses: custom
Submitter: AgentSIB
Maintainer: None
Last Packager: basigur
Votes: 12
Popularity: 0.000000
First Submitted: 2013-09-23 22:14 (UTC)
Last Updated: 2021-03-18 06:37 (UTC)

Latest Comments

AgentSIB commented on 2020-01-30 06:47 (UTC)

Joxi has abandoned the package and has not been updating it for three years. It does not work with new libraries. Try Flameshot.

curl -I http://dl.joxi.ru/linux/joxi-net_x86_64-fr.rpm ... Last-Modified: Wed, 25 May 2016 15:02:58 GMT

chapa commented on 2020-01-30 04:26 (UTC)

error while loading shared libraries: libQt5Declarative.so.5 Sadly. Help, please

AgentSIB commented on 2018-10-08 07:58 (UTC) (edited on 2018-10-08 07:59 (UTC) by AgentSIB)

Project is dead...

Last update dates:

Fedora, Red hat 32: 25.05.2016

Fedora, Red hat 64: 25.05.2016

OpenSuse 32: 25.05.2016

OpenSuse 64: 25.05.2016

Ubuntu, Mint, Kubuntu, Xubuntu 32: 16.01.2017

Ubuntu, Mint, Kubuntu, Xubuntu 64: 16.01.2017

Windows: 22.02.2018

MacOs: 22.01.2017

Chrome: 12.02.2018

Yandex and Opera: 08.02.2016

liberodark commented on 2018-08-20 06:17 (UTC)

ok im looking for that

Alad commented on 2018-08-19 11:13 (UTC)

Should be renamed to -bin.

liberodark commented on 2018-08-14 09:28 (UTC)

have fixed problem your solution not resolve correctly the problem is more simple my solution but ok im waiting... for update

AgentSIB commented on 2018-08-14 06:55 (UTC)

@liberodark Oh... You broke everything...

It was fix for curl v3: https://aur.archlinux.org/cgit/aur.git/tree/joxi.ld_preload.wrapper?h=joxi&id=75e4274ac825

You need wait update packages from joxi. I did not wait. They promise to release updates for six months.

liberodark commented on 2018-08-13 12:42 (UTC)

Have find two error one is CURL OPENSSL 3 fix in : env "LD_PRELOAD=libcurl.so.3" /usr/bin/joxi two is qt5-quick1 software no see app : module "QtQuick" is not installed

liberodark commented on 2018-08-13 12:01 (UTC) (edited on 2018-08-13 12:02 (UTC) by liberodark)

Hi

have try to make update of this software have created new pkgbuild but not run correctly im try to find solution just wait a little have view the dev have make update but ... dont see what the soft no run correctly

AgentSIB commented on 2018-05-28 10:02 (UTC)

@gandriyko Usually help rebuilding qt5-quick1... But joxi not work on archlinux (and Ubuntu 16.04) more then 5 months (see http://joxi.userecho.com/forums/1-obschij/topics/3273-ne-rabotaet-na-ubuntu-1604/). The manufacturer has already promised to rebuild the application for half a year. I refused the package for this reason. Sorry...

More info: https://joxi.userecho.com/communities/1/topics/3775-ubuntu-1804 https://joxi.userecho.com/communities/1/topics/3778-ne-rabotaet-na-opensuse-thumbleweed https://joxi.userecho.com/communities/1/topics/3733-ne-rabotaet-v-ubuntu-18-lts https://joxi.userecho.com/communities/1/topics/3106-ne-rabotaet-programma-na-ubuntu-1710 https://joxi.userecho.com/communities/1/topics/3760-1604-ubuntu-dazhe-posle-obnovlenij-sistemyi-avtomatom-do-qt-5

gandriyko commented on 2018-05-28 09:55 (UTC)

after system upgrade joxi crached:

Cannot mix incompatible Qt library (version 0x50a01) with this library (version 0x50b00) /usr/bin/joxi: line 3: 3053 Aborted (core dumped) /opt/joxi/joxi "$@"

AgentSIB commented on 2018-02-09 09:14 (UTC) (edited on 2018-02-09 09:15 (UTC) by AgentSIB)

Joxi do not release the new version for a long time. This version (3.0.9-3) is not working. I have to give up this package in favor of Flameshot.

AgentSIB commented on 2018-02-02 20:33 (UTC)

2Graff Пересборки пакетов для Linux еще не было. Иначе сборка бы не прошла (суммы не сошлись). Ждем.

Graff commented on 2018-02-02 14:45 (UTC)

На сайте разработчика уже лежит 3.0.13 версия, стоит обновить пакет.

AgentSIB commented on 2018-01-17 07:47 (UTC) (edited on 2018-01-17 08:18 (UTC) by AgentSIB)

Пока нет... Проблема при сетевом взаимодействии, но пока решить не удалось...

Так же самая проблема (при новой установке) http://joxi.userecho.com/forums/1-obschij/topics/3273-ne-rabotaet-na-ubuntu-1604/

kzin commented on 2018-01-17 07:35 (UTC)

Antergos, MATE 1.18. Linux 4.14.13-1-ARCH #1 SMP PREEMPT Wed Jan 10 11:14:50 UTC 2018 x86_64 GNU/Linux

Segmentation fault on start.

rebuilding qt5-quick1 (and all of qt5 deps) dont help.

strace joxi output: https://pastebin.com/U9YC5FEC

skyhawk commented on 2018-01-17 07:24 (UTC)

Повторная сборка qt5-quick1 уже не помогает. Кто-нибудь справлялся с проблемой с: "3129 Ошибка сегментирования"?

AgentSIB commented on 2017-12-26 08:56 (UTC)

Подтверждаю работоспособность на Arch. Пересборка qt5-quick1 еще помогает.

dzianis.puhach commented on 2017-12-26 08:08 (UTC)

"После вчерашнего обновления qt теперь пересобирание qt5-quick1 не решает проблему"

Для Manjaro этот метод все еще работает.

madi139 commented on 2017-12-15 05:46 (UTC)

После вчерашнего обновления qt теперь пересобирание qt5-quick1 не решает проблему

esculap commented on 2017-07-04 14:08 (UTC)

When try to install from AUR on Manjaro 17.0.2: fatal: unable to access 'https://aur.archlinux.org/joxi.git/': The requested URL returned error: 504

AgentSIB commented on 2017-06-13 13:47 (UTC)

Да, периодически требуется пересобирать qt5-quick1...

Svetozar commented on 2017-01-30 06:34 (UTC)

Удалил joxi, удалил qt5-quick1, пере собрал qt5-quick1 из https://aur.archlinux.org/packages/qt5-quick1/ , пере собрал Joxi, Joxi - работает!

Tama commented on 2017-01-11 16:00 (UTC)

Не знаю из-за чего проблема.. Удалил весь qt, удалил joxi. Дал joxi самому собрать свои зависимости, заработало. " Если я правильно помню, эта проблема из-за qt5-quick1" Этот самый пакет не смог собраться сам, если верить выводу в консоль. Но joxi заработал. https://pp.vk.me/c638621/v638621040/1806b/6aG5yX1h3l8.jpg

AgentSIB commented on 2017-01-11 15:02 (UTC)

Обновите пакеты из aur. Если я правильно помню, эта проблема из-за qt5-quick1

Tama commented on 2017-01-11 14:58 (UTC) (edited on 2017-01-11 15:00 (UTC) by Tama)

Когда пытаюсь сделать скриншот, когда нажимаю на иконку в трее - джокси крашится. При краше вылетает ошибка, "Cannot mix incompatible Qt library (version 0x50700) with this library (version 0x50701)" Qt самая новая, джокси тоже актуальной версии. Гугл предлагал разные решения, но для каждой проблемы оно было индивидуально и как-то не подошли. Хотелось бы понять - проблема в пакете или же в моём арче? Т.е. проблема из-за моих кривых рук или просто не обновили пока на новую версию qt?

AgentSIB commented on 2016-11-21 10:35 (UTC)

@elbahek, please, try this

elbahek commented on 2016-11-07 12:49 (UTC)

Joxi stopped responding to tray icon click. Does someone know how to fix this?

Forum_Liker commented on 2016-07-23 14:46 (UTC)

ОШИБКА: Ошибка при загрузке 'http://dl.joxi.ru/linux/joxi-3.0.9_amd64.deb'

AgentSIB commented on 2016-07-13 19:36 (UTC)

@elbahek, many thanks.

elbahek commented on 2016-07-13 19:16 (UTC)

Updated PKGBUILD to recent version (3.0.9) PKGBUILD http://pastebin.com/7dgWCp4i LD_PRELOAD wrapper script http://pastebin.com/Gsrk1LxL

Forum_Liker commented on 2016-05-01 10:26 (UTC)

Откатил opencv. затем ему нужно было OpenEXR..откатил, теперь ей не нравится libHalf. ну ее в пень..подожду новую версию. Зачем вообще ей столько зависимостей

AgentSIB commented on 2016-04-30 18:29 (UTC)

https://archive.archlinux.org/

Forum_Liker commented on 2016-04-30 17:41 (UTC)

не могу откатить, в кеше нет второй версии у меня

AgentSIB commented on 2016-04-30 16:46 (UTC)

Откатите opencv до версии 2 с помощью downgrader. Пакет joxi v3 выложу при первой же возможности.

Forum_Liker commented on 2016-04-30 16:42 (UTC)

Как вообще установить то? opencv-git 93% скачать ~800мб Что за ерунда вообще такая? opencv<3 такой зависимости йогурт не понимает

AgentSIB commented on 2016-04-29 11:09 (UTC)

Нужно откатить opencv до версии 2. Steam и Viber не работают на версии 3

AgentSIB commented on 2016-04-28 18:40 (UTC)

Новая версия. Есть проблемы с несколькими мониторами, но тут ничего не сделаю... Буду писать в тех поддержку. Осталось с зависимостями определиться, чтобы весь qt5 не ставить. Но собрать уже можно из файлов, которые я показал ниже.

Forum_Liker commented on 2016-04-28 18:18 (UTC)

Такая же проблема... /usr/lib/joxi/joxi: error while loading shared libraries: libopencv_highgui.so.2.4: cannot open shared object file: No such file or directory Что в последней тестовой версии?

AgentSIB commented on 2016-04-27 21:12 (UTC)

Вышла новая версия, пока на стадии тестирования. Если есть идеи, от помощи не откажусь https://gist.github.com/agentsib/515deb641da1ea43b3c9cd1bea1d4db4

resetko commented on 2016-04-27 20:03 (UTC) (edited on 2016-04-27 20:30 (UTC) by resetko)

resetko@resetko ~ $ joxi /usr/lib/joxi/joxi: error while loading shared libraries: libopencv_highgui.so.2.4: cannot open shared object file: No such file or directory Как победить?

Forum_Liker commented on 2016-03-15 12:06 (UTC)

gpg --keyserver keys.gnupg.net --search-keys D5E9E43F7DF9EE8C Помогло. спасибо

resetko commented on 2016-03-14 19:30 (UTC) (edited on 2016-03-14 19:38 (UTC) by resetko)

Ну это несколько другая проблема. Это с openssl098 уже У меня полечилось: gpg --keyserver keys.gnupg.net --search-keys D5E9E43F7DF9EE8C

Forum_Liker commented on 2016-03-14 17:38 (UTC)

Все та же проблема ==> Verifying source file signatures with gpg... openssl-0.9.8zh.tar.gz ... FAILED (unknown public key D5E9E43F7DF9EE8C) ==> ERROR: One or more PGP signatures could not be verified! ==> ERROR: Makepkg was unable to build openssl098.

AgentSIB commented on 2016-03-14 15:40 (UTC)

Уже поправил. Проверяйте.

Forum_Liker commented on 2016-03-14 15:27 (UTC)

Ну что, кто уже знает как исправить проблему?

AgentSIB commented on 2016-03-14 11:29 (UTC) (edited on 2016-03-14 14:06 (UTC) by AgentSIB)

Да, ошибка в SSL. Надо подумать как исправить. В пакете последняя версия joxi.

resetko commented on 2016-03-10 20:46 (UTC)

Почему-то сломалась загрузка в скринов в интернет :( Судя по всему проблема в SSL: void Core::updateLinkDB(QString, QString) "/home/resetko/.joxi//history/screen/10.03.2016-23.49.10.jpg" "http://joxi.ru/gmvq3k7sxwbz8r" void Uploader::uploadData() "0123456789abcdef" void Uploader::uploadData() 850 850 void Uploader::uploadData() "" 0 void Core::downloadPageHeightChange() UploadWidget* Core::uploadWidget() QObject(0x0) *1 UploadWidget* Core::uploadWidget() UploadWidget(0x42a8bc0) *2 QSslSocket: cannot call unresolved function SSLv3_client_method QSslSocket: cannot call unresolved function SSLv3_client_method void UploadModel::itemProgress(qint64, qint64) 0 0 *1 void UploadModel::itemProgress(qint64, qint64) 0 0 *2 void UploadModel::itemProgress(qint64, qint64) 0 0 *1 void UploadModel::itemProgress(qint64, qint64) 0 0 *2 void Uploader::networkFinished(QNetworkReply*) "Error creating SSL context (error:140A90C4:SSL routines:SSL_CTX_new:null ssl method passed, error:140A90C4:SSL routines:SSL_CTX_new:null ssl method passed)" 99 void Uploader::networkFinished(QNetworkReply*) data = "" void Core::downloadPageHeightChange() void Uploader::networkFinished(QNetworkReply*) emit internetNotAvailable void Core::internetNotAvailable() void Uploader::networkFinished(QNetworkReply*) "Error creating SSL context (error:140A90C4:SSL routines:SSL_CTX_new:null ssl method passed, error:140A90C4:SSL routines:SSL_CTX_new:null ssl method passed)" 99 void Uploader::networkFinished(QNetworkReply*) data = "" void Core::downloadPageHeightChange() void Uploader::networkFinished(QNetworkReply*) emit internetNotAvailable void Core::internetNotAvailable() Так же кажется есть версия по новее, но возможно я не прав, т.к. пытался диагностировать проблему - у ребят на убунте все работает, правда почему-то при скачивании с оффсайта, хоть пакет и написано amd64 - по факту ставит зависимости i386. Но версия 3.0.0 кажется

AgentSIB commented on 2014-01-29 19:42 (UTC)

Ок, спасибо. Сегодня или завтра переделаю. Но это не самая большая проблема. У них релизами все сложно.

vorot93 commented on 2014-01-28 16:59 (UTC)

Пакеты переехали на bc.cdn.joxi.ru :)